# Generated by Django 3.2.3 on 2021-05-23 18:03

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Admin_user_gp',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'permissions': (('add_user', 'can add any user from Member Group'), ('delete_user', 'can delete any user from Member Group'), ('block_user', 'can block any user from Member Group')),
            },
        ),
        migrations.CreateModel(
            name='Admin_Item_gp',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'permissions': (('add_user', 'can add any user from Member Group'), ('delete_user', 'can delete any user from Member Group'), ('block_user', 'can block any user from Member Group'), ('add_item', 'can add item'), ('delete_item', 'can delete item '), ('edit_item', 'can edit item')),
            },
        ),
        migrations.CreateModel(
            name='Admin',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'permissions': (('add_user', 'can add any user or admin'), ('delete', 'can delete any user or admin'), ('change_user', 'can change any user or admin'), ('block_user', 'can block any user or admin'), ('flag_user', 'can flag any user or admin'), ('warn_user', 'can warn any user or admin'), ('add_item', 'can add item'), ('delete_item', 'can delete item '), ('edit_item', 'can edit item')),
            },
        ),
    ]
